Index: c/src/ada/ChangeLog
===================================================================
--- c/src/ada/ChangeLog	(revision a4afa905f6818c1a8ab07a0f650896e1b29f8875)
+++ c/src/ada/ChangeLog	(revision fc503e59c688ce021ef959dc1601c219b8505b4f)
@@ -1,2 +1,6 @@
+2007-04-02	Jennifer Averett <jennifer.averrett@oarcorp.com>
+
+	* rtems.adb, rtems.ads: Update.
+
 2005-05-23	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/ada/rtems.adb
===================================================================
--- c/src/ada/rtems.adb	(revision a4afa905f6818c1a8ab07a0f650896e1b29f8875)
+++ c/src/ada/rtems.adb	(revision fc503e59c688ce021ef959dc1601c219b8505b4f)
@@ -11,5 +11,5 @@
 --
 --
---  COPYRIGHT (c) 1997-2003.
+--  COPYRIGHT (c) 1997-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -18,5 +18,5 @@
 --  http://www.rtems.com/license/LICENSE.
 --
---  $Id$
+--  rtems.adb,v 1.13.2.2 2003/09/04 18:46:47 joel Exp
 --
 
@@ -217,23 +217,4 @@
 
    --
-   --  Initialization Manager
-   --
-
-   -- RTEMS Initialization not supported from Ada.  Please write BSPs in C.
-
-   procedure Shutdown_Executive (
-      Result : in     RTEMS.Unsigned32
-   ) is
-      procedure Shutdown_Executive_Base(
-         Result : in     RTEMS.Unsigned32
-      );
-      pragma Import (C,Shutdown_Executive_Base,"rtems_shutdown_executive");
-   begin
-
-      Shutdown_Executive_Base( Result );
-
-   end Shutdown_Executive;
-
-   --
    --  Task Manager
    --
@@ -257,5 +238,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Task_Create_Base, "rtems_task_create");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
       Result := Task_Create_Base (
@@ -283,5 +264,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Task_Ident_Base, "rtems_task_ident");
-      ID_Base     : aliased RTEMS.ID;
+      ID_Base     : aliased RTEMS.ID := ID;
 
    begin
@@ -380,5 +361,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Task_Set_Priority_Base, "rtems_task_set_priority");
-      Old_Priority_Base : aliased RTEMS.Task_Priority;
+      Old_Priority_Base : aliased RTEMS.Task_Priority := Old_Priority;
    begin
  
@@ -404,5 +385,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Task_Mode_Base, "rtems_task_mode");
-      Previous_Mode_Set_Base : aliased RTEMS.Mode;
+      Previous_Mode_Set_Base : aliased RTEMS.Mode := Previous_Mode_Set;
    begin
 
@@ -428,9 +409,9 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Task_Get_Note_Base, "rtems_task_get_note");
-      Note_Base : aliased RTEMS.Unsigned32;
+      Note_Base : aliased RTEMS.Unsigned32 := Note;
    begin
 
       Result := Task_Get_Note_Base ( ID, Notepad, Note_Base'Unchecked_Access );
-      Note := Note_Base;
+      Note := NOTE_Base;
 
    end Task_Get_Note;
@@ -454,39 +435,4 @@
    end Task_Set_Note;
  
-   procedure Task_Variable_Add (
-      ID            : in     RTEMS.ID;
-      Task_Variable : in     RTEMS.Address;
-      Dtor          : in     RTEMS.Task_Variable_Dtor;
-      Result        :    out RTEMS.Status_Codes
-   ) is
-   begin
-     -- FIXME
-     Result := Internal_Error;
-   end Task_Variable_Add;
-
-   procedure Task_Variable_Get (
-      ID                  : in     RTEMS.ID;
-      Task_Variable       :    out RTEMS.Address;
-      Task_Variable_Value :    out RTEMS.Address;
-      Result              :    out RTEMS.Status_Codes
-   ) is
-   begin
-     -- FIXME
-     Task_Variable := RTEMS.Null_Address;
-     Task_Variable_Value := RTEMS.Null_Address;
-     Result := Internal_Error;
-   end Task_Variable_Get;
-
-   procedure Task_Variable_Delete (
-      ID                  : in     RTEMS.ID;
-      Task_Variable       :    out RTEMS.Address;
-      Result              :    out RTEMS.Status_Codes
-   ) is
-   begin
-     -- FIXME
-     Task_Variable := RTEMS.Null_Address;
-     Result := Internal_Error;
-   end Task_Variable_Delete;
-
    procedure Task_Wake_When (
       Time_Buffer : in     RTEMS.Time_Of_Day;
@@ -533,5 +479,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Interrupt_Catch_Base, "rtems_interrupt_catch");
-      Old_ISR_Handler_Base : aliased RTEMS.Address;
+      Old_ISR_Handler_Base : aliased RTEMS.Address := Old_ISR_Handler;
    begin
  
@@ -539,5 +485,5 @@
          New_ISR_Handler,
          Vector,
-         Old_ISR_Handler_Base'Unchecked_Access
+         OLD_ISR_HANDLER_Base'Unchecked_Access
       );
       Old_ISR_Handler := OLD_ISR_HANDLER_Base;
@@ -611,5 +557,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Extension_Create_Base, "rtems_extension_create");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -629,5 +575,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Extension_Ident_Base, "rtems_extension_ident");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -665,5 +611,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Timer_Create_Base, "rtems_timer_create");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -683,5 +629,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Timer_Ident_Base, "rtems_timer_ident");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -865,5 +811,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Semaphore_Create_Base, "rtems_semaphore_create");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -905,5 +851,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Semaphore_Ident_Base, "rtems_semaphore_ident");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -967,5 +913,5 @@
       pragma Import (C,
         Message_Queue_Create_Base, "rtems_message_queue_create");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -993,5 +939,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Message_Queue_Ident_Base, "rtems_message_queue_ident");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -1069,5 +1015,5 @@
       pragma Import (C, Message_Queue_Broadcast_Base,
          "rtems_message_queue_broadcast");
-      Count_Base : aliased RTEMS.Unsigned32;
+      Count_Base : aliased RTEMS.Unsigned32 := Count;
    begin
  
@@ -1123,5 +1069,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Message_Queue_Flush_Base, "rtems_message_queue_flush");
-      COUNT_Base : aliased RTEMS.Unsigned32;
+      COUNT_Base : aliased RTEMS.Unsigned32 := Count;
    begin
  
@@ -1165,5 +1111,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Event_Receive_Base, "rtems_event_receive");
-      Event_Out_Base : aliased RTEMS.Event_Set;
+      Event_Out_Base : aliased RTEMS.Event_Set; -- := Event_Out;
    begin
 
@@ -1237,5 +1183,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Partition_Create_Base, "rtems_partition_create");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -1264,5 +1210,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Partition_Ident_Base, "rtems_partition_ident");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -1297,5 +1243,5 @@
       pragma Import (C, Partition_Get_Buffer_Base,
          "rtems_partition_get_buffer");
-      Buffer_Base : aliased RTEMS.Address;
+      Buffer_Base : aliased RTEMS.Address := Buffer;
    begin
  
@@ -1344,5 +1290,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Region_Create_Base, "rtems_region_create");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -1369,5 +1315,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Region_Ident_Base, "rtems_region_ident");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -1425,5 +1371,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Region_Get_Segment_Base, "rtems_region_get_segment");
-      Segment_Base : aliased RTEMS.Address;
+      Segment_Base : aliased RTEMS.Address := Segment;
    begin
  
@@ -1452,5 +1398,5 @@
       pragma Import (C, Region_Get_Segment_Size_Base,
          "rtems_region_get_segment_size");
-      Size_Base : aliased RTEMS.Unsigned32;
+      Size_Base : aliased RTEMS.Unsigned32 := Size;
    begin
  
@@ -1460,36 +1406,8 @@
          Size_Base'Unchecked_Access
       );
-      Size := Size_Base;
+      Size := SIZE_Base;
 
    end Region_Get_Segment_Size;
  
-   procedure Region_Resize_Segment (
-      ID         : in     RTEMS.ID;
-      Segment    : in     RTEMS.Address;
-      Size       : in     RTEMS.Unsigned32;
-      Old_Size   :    out RTEMS.Unsigned32;
-      Result     :    out RTEMS.Status_Codes
-   ) is
-      function Region_Resize_Segment_Base (
-         ID       : RTEMS.ID;
-         Segment  : RTEMS.Address;
-         Size     : RTEMS.Unsigned32;
-         Old_Size : access RTEMS.Unsigned32
-      )  return RTEMS.Status_Codes;
-      pragma Import (C, Region_Resize_Segment_Base,
-         "rtems_region_get_segment_size");
-      Old_Size_Base : aliased RTEMS.Unsigned32;
-   begin
- 
-      Result := Region_Resize_Segment_Base (
-         ID,
-         Segment,
-         Size,
-         Old_Size_Base'Unchecked_Access
-      );
-      Old_Size := Old_Size_Base;
-
-   end Region_Resize_Segment;
-
    procedure Region_Return_Segment (
       ID      : in     RTEMS.ID;
@@ -1529,5 +1447,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Port_Create_Base, "rtems_port_create");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -1553,5 +1471,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Port_Ident_Base, "rtems_port_ident");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -1588,5 +1506,5 @@
       pragma Import (C, Port_External_To_Internal_Base,
          "rtems_port_external_to_internal");
-      Internal_Base : aliased RTEMS.Address;
+      Internal_Base : aliased RTEMS.Address := Internal;
    begin
  
@@ -1613,5 +1531,5 @@
       pragma Import (C, Port_Internal_To_External_Base,
          "rtems_port_internal_to_external");
-      External_Base : aliased RTEMS.Address;
+      External_Base : aliased RTEMS.Address := External;
    begin
  
@@ -1628,22 +1546,4 @@
    -- Input/Output Manager
    --
- 
-   procedure IO_Initialize (
-      Major        : in     RTEMS.Device_Major_Number;
-      Minor        : in     RTEMS.Device_Minor_Number;
-      Argument     : in     RTEMS.Address;
-      Result       :    out RTEMS.Status_Codes
-   ) is
-      function IO_Initialize_Base (
-         Major        : RTEMS.Device_Major_Number;
-         Minor        : RTEMS.Device_Minor_Number;
-         Argument     : RTEMS.Address
-      )  return RTEMS.Status_Codes;
-      pragma Import (C, IO_Initialize_Base, "rtems_io_initialize");
-   begin
- 
-      Result := IO_Initialize_Base ( Major, Minor, Argument );
-
-   end IO_Initialize;
  
    procedure IO_Register_Name (
@@ -1809,5 +1709,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Rate_Monotonic_Create_base, "rtems_rate_monotonic_create");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -1827,5 +1727,5 @@
       )  return RTEMS.Status_Codes;
       pragma Import (C, Rate_Monotonic_Ident_Base, "rtems_rate_monotonic_ident");
-      ID_Base : aliased RTEMS.ID;
+      ID_Base : aliased RTEMS.ID := ID;
    begin
  
@@ -1953,12 +1853,3 @@
    end Debug_Is_Enabled;
 
-    -- HACK
-    -- function Configuration 
-    -- return RTEMS.Configuration_Table_Pointer is
-    --    Configuration_base : RTEMS.Configuration_Table_Pointer;
-    --    pragma Import (C, Configuration_base, "_Configuration_Table");
-    -- begin
-    --    return Configuration_Base;
-    -- end Configuration;
-
 end RTEMS;
Index: c/src/ada/rtems.ads
===================================================================
--- c/src/ada/rtems.ads	(revision a4afa905f6818c1a8ab07a0f650896e1b29f8875)
+++ c/src/ada/rtems.ads	(revision fc503e59c688ce021ef959dc1601c219b8505b4f)
@@ -8,7 +8,9 @@
 --  DEPENDENCIES:
 --
+--  NOTES:
+--    RTEMS initialization and configuration are called from
+--    the BSP side, therefore should never be called from ADA.
 --
---
---  COPYRIGHT (c) 1997.
+--  COPYRIGHT (c) 1997-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -17,5 +19,5 @@
 --  http://www.rtems.com/license/LICENSE.
 --
---  $Id$
+--  rtems.ads,v 1.19.2.2 2003/11/25 14:07:32 joel Exp
 --
 
@@ -183,5 +185,8 @@
    --
 
-   Search_All_Nodes : constant RTEMS.Node := 0;
+   Search_All_Nodes   : constant RTEMS.Node := 0;
+   Search_Other_Nodes : constant RTEMS.Node := 16#7FFFFFFE#;
+   Search_Local_Node  : constant RTEMS.Node := 16#7FFFFFFF#;
+   Who_Am_I           : constant RTEMS.Node := 0;
 
    --
@@ -222,17 +227,18 @@
    --
 
-   Default_Attributes  : constant RTEMS.Attribute := 16#00000000#;
-   No_Floating_Point   : constant RTEMS.Attribute := 16#00000000#;
-   Floating_Point      : constant RTEMS.Attribute := 16#00000001#;
-   Local               : constant RTEMS.Attribute := 16#00000000#;
-   Global              : constant RTEMS.Attribute := 16#00000002#;
-   FIFO                : constant RTEMS.Attribute := 16#00000000#;
-   Priority            : constant RTEMS.Attribute := 16#00000004#;
-   Counting_Semaphore  : constant RTEMS.Attribute := 16#00000000#;
-   Binary_Semaphore    : constant RTEMS.Attribute := 16#00000010#;
-   No_Inherit_Priority : constant RTEMS.Attribute := 16#00000000#;
-   Inherit_Priority    : constant RTEMS.Attribute := 16#00000020#;
-   No_Priority_Ceiling : constant RTEMS.Attribute := 16#00000000#;
-   Priority_Ceiling    : constant RTEMS.Attribute := 16#00000040#;
+   Default_Attributes      : constant RTEMS.Attribute := 16#00000000#;
+   No_Floating_Point       : constant RTEMS.Attribute := 16#00000000#;
+   Floating_Point          : constant RTEMS.Attribute := 16#00000001#;
+   Local                   : constant RTEMS.Attribute := 16#00000000#;
+   Global                  : constant RTEMS.Attribute := 16#00000002#;
+   FIFO                    : constant RTEMS.Attribute := 16#00000000#;
+   Priority                : constant RTEMS.Attribute := 16#00000004#;
+   Counting_Semaphore      : constant RTEMS.Attribute := 16#00000000#;
+   Binary_Semaphore        : constant RTEMS.Attribute := 16#00000010#;
+   Simple_Binary_Semaphore : constant RTEMS.Attribute := 16#00000020#;
+   No_Inherit_Priority     : constant RTEMS.Attribute := 16#00000000#;
+   Inherit_Priority        : constant RTEMS.Attribute := 16#00000040#;
+   No_Priority_Ceiling     : constant RTEMS.Attribute := 16#00000000#;
+   Priority_Ceiling        : constant RTEMS.Attribute := 16#00000080#;
 
    function Interrupt_Level (
@@ -534,192 +540,4 @@
 
    --
-   --  RTEMS API Configuration Information
-   --
-
-   type Initialization_Tasks_Table_Entry is
-      record
-         Name             : RTEMS.Name;          -- task name
-         Stack_Size       : RTEMS.Unsigned32;    -- task stack size
-         Initial_Priority : RTEMS.Task_priority; -- task priority
-         Attribute_Set    : RTEMS.Attribute;     -- task attributes
-         Entry_Point      : RTEMS.Task_Entry;    -- task entry point
-         Mode_Set         : RTEMS.Mode;          -- task initial mode
-         Argument         : RTEMS.Unsigned32;    -- task argument
-      end record;
-
-   type Initialization_Tasks_Table is array ( RTEMS.Unsigned32 range <> ) of
-     RTEMS.Initialization_Tasks_Table_Entry;
-
-   type Initialization_Tasks_Table_Pointer is access all
-        Initialization_Tasks_Table;
-
-   type API_Configuration_Table is
-      record
-         Maximum_Tasks                   : RTEMS.Unsigned32;
-         Maximum_Timers                  : RTEMS.Unsigned32;
-         Maximum_Semaphores              : RTEMS.Unsigned32;
-         Maximum_Message_queues          : RTEMS.Unsigned32;
-         Maximum_Partitions              : RTEMS.Unsigned32;
-         Maximum_Regions                 : RTEMS.Unsigned32;
-         Maximum_Ports                   : RTEMS.Unsigned32;
-         Maximum_Periods                 : RTEMS.Unsigned32;
-         Number_Of_Initialization_Tasks  : RTEMS.Unsigned32;
-         User_Initialization_Tasks_Table :
-                                   RTEMS.Initialization_Tasks_Table_Pointer;
-      end record;
-
-   type API_Configuration_Table_Pointer is access all API_Configuration_Table;
-
-   --
-   --  RTEMS POSIX API Configuration Information
-   --
-
-   type POSIX_Thread_Entry is access procedure (
-      Argument : in     RTEMS.Address
-   );
-
-   type POSIX_Initialization_Threads_Table_Entry is
-   record
-      Thread_Entry : RTEMS.POSIX_Thread_Entry;
-   end record;
-
-   type POSIX_Initialization_Threads_Table is array
-       ( RTEMS.Unsigned32 range <> ) of
-       RTEMS.POSIX_Initialization_Threads_Table_Entry;
-
-   type POSIX_Initialization_Threads_Table_Pointer is access all
-       POSIX_Initialization_Threads_Table;
-
-   type POSIX_API_Configuration_Table_Entry is
-      record
-         Maximum_Threads                 : Interfaces.C.Int;
-         Maximum_Mutexes                 : Interfaces.C.Int;
-         Maximum_Condition_Variables     : Interfaces.C.Int;
-         Maximum_Keys                    : Interfaces.C.Int;
-         Maximum_Queued_Signals          : Interfaces.C.Int;
-         Number_Of_Initialization_Tasks  : Interfaces.C.Int;
-         User_Initialization_Tasks_Table :
-            RTEMS.POSIX_Initialization_Threads_Table_Pointer;
-      end record;
-
-   type POSIX_API_Configuration_Table is array ( RTEMS.Unsigned32 range <> ) of
-      RTEMS.POSIX_API_Configuration_Table_Entry;
-
-   type POSIX_API_Configuration_Table_Pointer is access all
-          RTEMS.POSIX_API_Configuration_Table;
-
-   --
-   --  MPCI Information include MPCI Configuration
-   --
-
-   type Configuration_Table_Pointer;
-
-   type MP_Packet_Classes is (
-      MP_PACKET_MPCI_INTERNAL,
-      MP_PACKET_TASKS,
-      MP_PACKET_MESSAGE_QUEUE,
-      MP_PACKET_SEMAPHORE,
-      MP_PACKET_PARTITION,
-      MP_PACKET_REGION,
-      MP_PACKET_EVENT,
-      MP_PACKET_SIGNAL
-   );
-
-   for MP_Packet_Classes use (
-      MP_PACKET_MPCI_INTERNAL    => 0,
-      MP_PACKET_TASKS            => 1,
-      MP_PACKET_MESSAGE_QUEUE    => 2,
-      MP_PACKET_SEMAPHORE        => 3,
-      MP_PACKET_PARTITION        => 4,
-      MP_PACKET_REGION           => 5,
-      MP_PACKET_EVENT            => 6,
-      MP_PACKET_SIGNAL           => 7
-   );
-
-   type Packet_Prefix is
-      record
-         The_Class       : RTEMS.MP_Packet_Classes;
-         ID              : RTEMS.ID;
-         Source_TID      : RTEMS.ID;
-         Source_Priority : RTEMS.Task_Priority;
-         Return_Code     : RTEMS.Unsigned32;
-         Length          : RTEMS.Unsigned32;
-         To_Convert      : RTEMS.Unsigned32;
-         Timeout         : RTEMS.Interval;
-      end record;
-
-   type Packet_Prefix_Pointer is access all Packet_Prefix;
-
-   type MPCI_Initialization_Entry is access procedure (
-      Configuration : in     RTEMS.Configuration_Table_Pointer
-   );
-
-   type MPCI_Get_Packet_Entry is access procedure (
-      Packet : access RTEMS.Packet_Prefix_Pointer
-   );
-
-   type MPCI_Return_Packet_Entry is access procedure (
-      Packet : in     RTEMS.Packet_Prefix_Pointer
-   );
-
-   type MPCI_Send_Entry is access procedure (
-      Packet : in     RTEMS.Packet_Prefix_Pointer
-   );
-
-   type MPCI_Receive_Entry is access procedure (
-      Packet : access RTEMS.Packet_Prefix_Pointer
-   );
-
-   type MPCI_Table is
-      record
-         Default_Timeout     : RTEMS.Unsigned32; -- in ticks
-         Maximum_Packet_Size : RTEMS.Unsigned32;
-         Initialization      : RTEMS.MPCI_Initialization_Entry;
-         Get_Packet          : RTEMS.MPCI_Get_Packet_Entry;
-         Return_Packet       : RTEMS.MPCI_Return_Packet_Entry;
-         Send                : RTEMS.MPCI_Send_Entry;
-         Receive             : RTEMS.MPCI_Receive_Entry;
-      end record;
-
-   type MPCI_Table_Pointer is access all MPCI_Table;
-
-   --
-   --  Configuration Information
-   --
-
-   type Multiprocessing_Table is
-      record
-         Node                   : RTEMS.Unsigned32;
-         Maximum_Nodes          : RTEMS.Unsigned32;
-         Maximum_Global_Objects : RTEMS.Unsigned32;
-         Maximum_Proxies        : RTEMS.Unsigned32;
-         User_MPCI_Table        : RTEMS.MPCI_Table_Pointer;
-      end record;
-
-   type Multiprocessing_Table_Pointer is access all Multiprocessing_Table;
-
-   type Configuration_Table is
-      record
-          Work_Space_Start             : RTEMS.Address;
-          Work_Space_Size              : RTEMS.Unsigned32;
-          Maximum_Extensions           : RTEMS.Unsigned32;
-          Microseconds_Per_Tick        : RTEMS.Unsigned32;
-          Ticks_Per_Timeslice          : RTEMS.Unsigned32;
-          Maximum_Devices              : RTEMS.Unsigned32;
-          Maximum_Drivers              : RTEMS.Unsigned32;
-          Number_Of_Device_Drivers     : RTEMS.Unsigned32;
-          Device_Driver_Table          : RTEMS.Driver_Address_Table_Pointer;
-          Number_Of_Initial_Extensions : RTEMS.Unsigned32;
-          User_Extension_Table         : RTEMS.Extensions_Table_Pointer;
-          User_Multiprocessing_Table   : RTEMS.Multiprocessing_Table_Pointer;
-
-          RTEMS_API_Configuration : RTEMS.API_Configuration_Table_Pointer;
-          POSIX_API_Configuration : RTEMS.POSIX_API_Configuration_Table_Pointer;
-          ITRON_API_Configuration : RTEMS.Address; -- XXX FIX ME
-      end record;
-
-   type Configuration_Table_Pointer is access all Configuration_Table;
-
-   --
    --  For now, do not provide access to the CPU Table from Ada.
    --  When this type is provided, a CPU dependent file must
@@ -798,14 +616,4 @@
    --  RTEMS API
    --
-
-   --
-   --  Initialization Manager
-   --
-
-   -- RTEMS Initialization not supported from Ada.  Please write BSPs in C.
-
-   procedure Shutdown_Executive (
-      Result : in     RTEMS.Unsigned32
-   );
 
    --
@@ -890,23 +698,23 @@
    );
 
-   procedure Task_Variable_Add (
-      ID            : in     RTEMS.ID;
-      Task_Variable : in     RTEMS.Address;
-      Dtor          : in     RTEMS.Task_Variable_Dtor;
-      Result        :    out RTEMS.Status_Codes
-   );
-
-   procedure Task_Variable_Get (
-      ID                  : in     RTEMS.ID;
-      Task_Variable       :    out RTEMS.Address;
-      Task_Variable_Value :    out RTEMS.Address;
-      Result              :    out RTEMS.Status_Codes
-   );
-
-   procedure Task_Variable_Delete (
-      ID                  : in     RTEMS.ID;
-      Task_Variable       :    out RTEMS.Address;
-      Result              :    out RTEMS.Status_Codes
-   );
+--   procedure Task_Variable_Add (
+--      ID            : in     RTEMS.ID;
+--      Task_Variable : in     RTEMS.Address;
+--      Dtor          : in     RTEMS.Task_Variable_Dtor;
+--      Result        :    out RTEMS.Status_Codes
+--   );
+
+--   procedure Task_Variable_Get (
+--      ID                  : in     RTEMS.ID;
+--      Task_Variable       :    out RTEMS.Address;
+--      Task_Variable_Value :    out RTEMS.Address;
+--      Result              :    out RTEMS.Status_Codes
+--   );
+
+--   procedure Task_Variable_Delete (
+--      ID                  : in     RTEMS.ID;
+--      Task_Variable       :    out RTEMS.Address;
+--      Result              :    out RTEMS.Status_Codes
+--   );
 
    procedure Task_Wake_When (
@@ -1287,12 +1095,4 @@
    );
 
-   procedure Region_Resize_Segment (
-      ID         : in     RTEMS.ID;
-      Segment    : in     RTEMS.Address;
-      Size       : in     RTEMS.Unsigned32;
-      Old_Size   :    out RTEMS.Unsigned32;
-      Result     :    out RTEMS.Status_Codes
-   );
-
    procedure Region_Return_Segment (
       ID      : in     RTEMS.ID;
@@ -1344,11 +1144,4 @@
    --
 
-   procedure IO_Initialize (
-      Major        : in     RTEMS.Device_Major_Number;
-      Minor        : in     RTEMS.Device_Minor_Number;
-      Argument     : in     RTEMS.Address;
-      Result       :    out RTEMS.Status_Codes
-   );
-
    procedure IO_Register_Name (
       Name   : in     String;
@@ -1467,10 +1260,3 @@
    ) return RTEMS.Boolean;
 
-  --
-  --  Some Useful Data Items
-  --
-
-  Configuration : RTEMS.Configuration_Table_Pointer;
-  pragma Import (C, Configuration, "_Configuration_Table");
-
 end RTEMS;
